---
layout: default
title: Benefits for Students
nav_order: 5
---

# Benefits for Students

## Hands-on Experience

Students will gain complete hands-on experience on the tools that are regularly
used in industry and the FOSS community.  Pro-actively building skills in such
tools will make it possible for them to contribute to FOSS and also pitch for
systems design and administration, research and software development
opportunities professionally.

## Awareness and Skills

Awareness of methods and practices used in industry or FOSS community: It is
  not just tools that are essential – awareness and experience with established
and ad-hoc methods and practices will enable students to fit in easily and
quickly into global communities and participate effectively.

## Opportunity to learn and experiment safely

Opportunity to experiment and learn safely without affecting the production
deployment of services in the lab. Students should not just be users and
consumers of technology. By demonstrating the fact that such infrastructure can
be built effectively and affordably by choosing Self Hosting and Free Software,
we can enable them to also attempt to do the same and learn and build so much
more.

